[glib-networking] create-file.sh: placate Coverity



commit 7ed5c46680410136fff395c1f1fa72718339337c
Author: Michael Catanzaro <mcatanzaro gnome org>
Date:   Mon Mar 15 09:47:18 2021 -0500

    create-file.sh: placate Coverity
    
    Use bash, because 'read -p' is a bashism.
    
    Use 'set -e' to give up on error, or shellcheck will complain that we
    don't check whether cd fails.
    
    Remove an unused variable.
    
    Note this commit does not violate hard code freeze because this script
    is only run manually by glib-networking maintainers.

 tls/tests/files/create-files.sh | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)
---
diff --git a/tls/tests/files/create-files.sh b/tls/tests/files/create-files.sh
index 3f6c0ff..a313963 100755
--- a/tls/tests/files/create-files.sh
+++ b/tls/tests/files/create-files.sh
@@ -1,4 +1,6 @@
-#!/bin/sh
+#!/bin/bash
+
+set -e
 
 msg() {
   echo
@@ -29,7 +31,7 @@ echo
 echo "                   *** IMPORTANT ***"
 echo
 
-read -p "Press [Enter] key to continue..." key
+read -p "Press [Enter] key to continue..."
 
 #######################################################################
 ### Obsolete/Untrusted Root CA


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]